diff --git a/kmail/accountmanager.h b/kmail/accountmanager.h
index 2fac30c36..f8a8079f7 100644
--- a/kmail/accountmanager.h
+++ b/kmail/accountmanager.h
@@ -65,7 +65,7 @@ public:
 
   /** Find account by id. Returns 0 if account does not exist.
    */
-  KMAccount* tqfind( const uint id ) const;
+  KMAccount* find( const uint id ) const;
 
   /** Physically remove account. Also deletes the given account object !
       Returns FALSE and does nothing if the account cannot be removed. */
diff --git a/kmail/accountwizard.cpp b/kmail/accountwizard.cpp
index 0ae07d6c1..be69edd0f 100644
--- a/kmail/accountwizard.cpp
+++ b/kmail/accountwizard.cpp
@@ -153,7 +153,7 @@ void AccountWizard::showPage( TQWidget *page )
     if ( mLoginName->text().isEmpty() ) {
       // try to extract login from email address
       TQString email = mEMailAddress->text();
-      int pos = email.tqfind( '@' );
+      int pos = email.find( '@' );
       if ( pos != -1 )
         mLoginName->setText( email.left( pos ) );
 
@@ -329,7 +329,7 @@ TQString AccountWizard::accountName() const
   TQString name( i18n( "None" ) );
 
   TQString email = mEMailAddress->text();
-  int pos = email.tqfind( '@' );
+  int pos = email.find( '@' );
   if ( pos != -1 ) {
     name = email.mid( pos + 1 );
     name[ 0 ] = name[ 0 ].upper();
@@ -652,7 +652,7 @@ void AccountWizard::smtpCapabilities( const TQStringList &capaNormal,
   if ( authNone.isEmpty() && authSSL.isEmpty() && authTLS.isEmpty() ) {
     // slave doesn't seem to support "* AUTH METHODS" metadata (or server can't do AUTH)
     authBitsNone = authMethodsFromStringList( capaNormal );
-    if ( capaNormal.tqfindIndex( "STARTTLS" ) != -1 )
+    if ( capaNormal.findIndex( "STARTTLS" ) != -1 )
       authBitsTLS = authBitsNone;
     else
       authBitsTLS = 0;
@@ -664,7 +664,7 @@ void AccountWizard::smtpCapabilities( const TQStringList &capaNormal,
   }
 
   uint authBits = 0;
-  if ( capaNormal.tqfindIndex( "STARTTLS" ) != -1 ) {
+  if ( capaNormal.findIndex( "STARTTLS" ) != -1 ) {
     mTransportInfo->encryption = "TLS";
     authBits = authBitsTLS;
   } else if ( !capaSSL.isEmpty() ) {
diff --git a/kmail/actionscheduler.cpp b/kmail/actionscheduler.cpp
index 3d1c86880..913245e99 100644
--- a/kmail/actionscheduler.cpp
+++ b/kmail/actionscheduler.cpp
@@ -462,7 +462,7 @@ void ActionScheduler::messageFetched( KMMessage *msg )
     fetchMessageTimer->start( 0, true );
   }
   if (mFetchUnget && msg->tqparent())
-    msg->tqparent()->unGetMsg( msg->tqparent()->tqfind( msg ));
+    msg->tqparent()->unGetMsg( msg->tqparent()->find( msg ));
   return;
 }
 
@@ -667,7 +667,7 @@ void ActionScheduler::moveMessage()
   mResult = mOldReturnCode; // ignore errors in deleting original message
   if (!orgMsg || !orgMsg->tqparent()) {
     // Original message is gone, no point filtering it anymore
-    mSrcFolder->removeMsg( mSrcFolder->tqfind( msg ) );
+    mSrcFolder->removeMsg( mSrcFolder->find( msg ) );
     kdDebug(5006) << "The original serial number is missing. "
                   << "Cannot complete the filtering." << endl;
     mExecutingLock = false;
@@ -680,7 +680,7 @@ void ActionScheduler::moveMessage()
 
   mIgnore = true;
   assert( msg->tqparent() == mSrcFolder.operator->() );
-  mSrcFolder->take( mSrcFolder->tqfind( msg ) );
+  mSrcFolder->take( mSrcFolder->find( msg ) );
   mSrcFolder->addMsg( msg );
   mIgnore = false;
 
@@ -790,7 +790,7 @@ TQString ActionScheduler::debug()
 	if ((*it)->mAccount && kmkernel->find( (*it)->mAccountId )) {
 	    res.append( TQString( "Account %1, Name %2.\n" )
 			.tqarg( (*it)->mAccountId )
-			.tqarg( kmkernel->acctMgr()->tqfind( (*it)->mAccountId )->name() ) );
+			.tqarg( kmkernel->acctMgr()->find( (*it)->mAccountId )->name() ) );
 	}
 	res.append( TQString( "mExecuting %1, " ).tqarg( (*it)->mExecuting ? "true" : "false" ) );
 	res.append( TQString( "mExecutingLock %1, " ).tqarg( (*it)->mExecutingLock ? "true" : "false" ) );
diff --git a/kmail/antispamconfig.cpp b/kmail/antispamconfig.cpp
index 19198e11a..500529953 100644
--- a/kmail/antispamconfig.cpp
+++ b/kmail/antispamconfig.cpp
@@ -89,7 +89,7 @@ const SpamAgents AntiSpamConfig::uniqueAgents() const
     SpamAgents::ConstIterator end( mAgents.end() );
     for ( ; it != end ; ++it ) {
         const TQString agent( ( *it ).name() );
-        if ( seenAgents.tqfind( agent ) == seenAgents.end() ) {
+        if ( seenAgents.find( agent ) == seenAgents.end() ) {
             agents.append( *it );
             seenAgents.append( agent );
         }
diff --git a/kmail/antispamwizard.cpp b/kmail/antispamwizard.cpp
index 1e5e912b8..dccca6a89 100644
--- a/kmail/antispamwizard.cpp
+++ b/kmail/antispamwizard.cpp
@@ -505,9 +505,9 @@ void AntiSpamWizard::checkToolAvailability()
       AccountManager* mgr = kmkernel->acctMgr();
       KMAccount* account = mgr->first();
       while ( account ) {
-        if ( account->type() == "pop" || account->type().tqcontains( "imap" ) ) {
+        if ( account->type() == "pop" || account->type().contains( "imap" ) ) {
           const NetworkAccount * n = dynamic_cast<const NetworkAccount*>( account );
-          if ( n && n->host().lower().tqcontains( pattern.lower() ) ) {
+          if ( n && n->host().lower().contains( pattern.lower() ) ) {
             mInfoPage->addAvailableTool( (*it).getVisibleName() );
             found = true;
           }
@@ -925,7 +925,7 @@ void ASWizInfoPage::addAvailableTool( const TQString &visibleName )
 bool ASWizInfoPage::isProgramSelected( const TQString &visibleName )
 {
   TQString listName = visibleName;
-  return mToolsList->isSelected( mToolsList->tqfindItem( listName ) );
+  return mToolsList->isSelected( mToolsList->findItem( listName ) );
 }
 
 
diff --git a/kmail/archivefolderdialog.cpp b/kmail/archivefolderdialog.cpp
index b1422f476..f6cfac629 100644
--- a/kmail/archivefolderdialog.cpp
+++ b/kmail/archivefolderdialog.cpp
@@ -194,7 +194,7 @@ void ArchiveFolderDialog::slotFixFileExtension()
 
   // First, try to find the extension of the file name and remove it
   for( int i = 0; i < numExtensions; i++ ) {
-    int index = fileName.lower().tqfindRev( sortedExtensions[i] );
+    int index = fileName.lower().findRev( sortedExtensions[i] );
     if ( index != -1 ) {
       fileName = fileName.left( fileName.length() - TQString( sortedExtensions[i] ).length() );
       break;
diff --git a/kmail/bodyvisitor.cpp b/kmail/bodyvisitor.cpp
index a4520f3c7..8a40d7443 100644
--- a/kmail/bodyvisitor.cpp
+++ b/kmail/bodyvisitor.cpp
@@ -78,11 +78,11 @@ namespace KMail {
       ++it;
       // skip this part if the tqparent part is already loading
       if ( part->tqparent() &&
-           selected.tqcontains( part->tqparent() ) &&
+           selected.contains( part->tqparent() ) &&
            part->loadPart() )
         continue;
 
-      if ( part->originalContentTypeStr().tqcontains("SIGNED") )
+      if ( part->originalContentTypeStr().contains("SIGNED") )
       {
         // signed messages have to be loaded completely
         // so construct a new dummy part that loads the body
@@ -115,7 +115,7 @@ namespace KMail {
 
       // check whether to load this part or not:
       // look at the basic list, ask the subclass and check the tqparent
-      if ( mBasicList.tqcontains( part->originalContentTypeStr() ) ||
+      if ( mBasicList.contains( part->originalContentTypeStr() ) ||
            parentNeedsLoading( part ) ||
            addPartToList( part ) )
       {
diff --git a/kmail/cachedimapjob.cpp b/kmail/cachedimapjob.cpp
index 968529beb..d13382511 100644
--- a/kmail/cachedimapjob.cpp
+++ b/kmail/cachedimapjob.cpp
@@ -401,10 +401,10 @@ void CachedImapJob::slotPutNextMessage()
 
   mMsg->setUID( 0 ); // for the index
   TQCString cstr(mMsg->asString());
-  int a = cstr.tqfind("\nX-UID: ");
-  int b = cstr.tqfind('\n', a);
-  if (a != -1 && b != -1 && cstr.tqfind("\n\n") > a) cstr.remove(a, b-a);
-  TQCString mData(cstr.length() + cstr.tqcontains('\n'));
+  int a = cstr.find("\nX-UID: ");
+  int b = cstr.find('\n', a);
+  if (a != -1 && b != -1 && cstr.find("\n\n") > a) cstr.remove(a, b-a);
+  TQCString mData(cstr.length() + cstr.contains('\n'));
   unsigned int i = 0;
   for( char *ch = cstr.data(); *ch; ch++ ) {
     if ( *ch == '\n' ) {
@@ -462,7 +462,7 @@ void CachedImapJob::slotPutMessageInfoData( KIO::Job *job, const TQString &data
       return;
     }
 
-    if ( data.tqfind( "UID" ) != -1 && mMsg ) {
+    if ( data.find( "UID" ) != -1 && mMsg ) {
       int uid = ( data.right( data.length() - 4 ) ).toInt();
       kdDebug( 5006 ) << k_funcinfo << "Server told us uid is: " << uid << endl;
       mMsg->setUID( uid );
@@ -498,7 +498,7 @@ void CachedImapJob::slotPutMessageResult(KIO::Job *job)
   emit progress( mSentBytes, mTotalBytes );
 
   int i;
-  if( ( i = mFolder->tqfind(mMsg) ) != -1 ) {
+  if( ( i = mFolder->find(mMsg) ) != -1 ) {
      /*
       * If we have aquired a uid during upload the server supports the uidnext
       * extension and there is no need to redownload this mail, we already have
@@ -686,7 +686,7 @@ void CachedImapJob::slotCheckUidValidityResult(KIO::Job * job)
 
   // Check the uidValidity
   TQCString cstr((*it).data.data(), (*it).data.size() + 1);
-  int a = cstr.tqfind("X-uidValidity: ");
+  int a = cstr.find("X-uidValidity: ");
   if (a < 0) {
     // Something is seriously rotten here!
     // TODO: Tell the user that he has a problem
@@ -694,7 +694,7 @@ void CachedImapJob::slotCheckUidValidityResult(KIO::Job * job)
                   << mFolder->name() << endl;
   }
   else {
-    int b = cstr.tqfind("\r\n", a);
+    int b = cstr.find("\r\n", a);
     if ( (b - a - 15) >= 0 ) {
       TQString uidv = cstr.mid(a + 15, b - a - 15);
       // kdDebug(5006) << "New uidv = " << uidv << ", old uidv = "
@@ -711,11 +711,11 @@ void CachedImapJob::slotCheckUidValidityResult(KIO::Job * job)
                     << mFolder->name() << endl;
   }
 
-  a = cstr.tqfind( "X-PermanentFlags: " );
+  a = cstr.find( "X-PermanentFlags: " );
   if ( a < 0 ) {
     kdDebug(5006) << "no PERMANENTFLAGS response? assumming custom flags are not available" << endl;
   } else {
-    int b = cstr.tqfind( "\r\n", a );
+    int b = cstr.find( "\r\n", a );
     if ( (b - a - 18) >= 0 ) {
       int flags = cstr.mid( a + 18, b - a - 18 ).toInt();
       emit permanentFlags( flags );
@@ -767,7 +767,7 @@ static void renameChildFolders( KMFolderDir* dir, const TQString& oldPath,
           static_cast<KMFolderCachedImap*>(static_cast<KMFolder*>(node)->storage());
         if ( !imapFolder->imapPath().isEmpty() )
           // Only rename folders that have been accepted by the server
-          if( imapFolder->imapPath().tqfind( oldPath ) == 0 ) {
+          if( imapFolder->imapPath().find( oldPath ) == 0 ) {
             TQString p = imapFolder->imapPath();
             p = p.mid( oldPath.length() );
             p.prepend( newPath );
@@ -782,7 +782,7 @@ static void renameChildFolders( KMFolderDir* dir, const TQString& oldPath,
 
 void CachedImapJob::revertLabelChange()
 {
-  TQMap<TQString, KMAcctCachedImap::RenamedFolder>::ConstIterator renit = mAccount->renamedFolders().tqfind( mFolder->imapPath() );
+  TQMap<TQString, KMAcctCachedImap::RenamedFolder>::ConstIterator renit = mAccount->renamedFolders().find( mFolder->imapPath() );
   Q_ASSERT( renit != mAccount->renamedFolders().end() );
   if ( renit != mAccount->renamedFolders().end() ) {
     mFolder->folder()->setLabel( (*renit).mOldLabel );
diff --git a/kmail/callback.cpp b/kmail/callback.cpp
index 923ff6be3..0b94a5d1f 100644
--- a/kmail/callback.cpp
+++ b/kmail/callback.cpp
@@ -64,7 +64,7 @@ TQString Callback::askForTransport( bool nullIdentity ) const
     return transports.first();
 
   const TQString defaultTransport = GlobalSettings::self()->defaultTransport();
-  const int defaultIndex = TQMAX( 0, transports.tqfindIndex( defaultTransport ) );
+  const int defaultIndex = TQMAX( 0, transports.findIndex( defaultTransport ) );
 
   TQString text;
   if ( nullIdentity )
@@ -94,13 +94,13 @@ bool Callback::mailICal( const TQString& to, const TQString &iCal,
   msg->setSubject( subject );
   if ( GlobalSettings::self()->exchangeCompatibleInvitations() ) {
     if ( status == TQString("cancel") )
-      msg->setSubject( i18n( "Declined: %1" ).tqarg(subject).tqreplace("Answer: ","") );
+      msg->setSubject( i18n( "Declined: %1" ).tqarg(subject).replace("Answer: ","") );
     else if ( status == TQString("tentative") )
-      msg->setSubject( i18n( "Tentative: %1" ).tqarg(subject).tqreplace("Answer: ","") );
+      msg->setSubject( i18n( "Tentative: %1" ).tqarg(subject).replace("Answer: ","") );
     else if ( status == TQString("accepted") )
-      msg->setSubject( i18n( "Accepted: %1" ).tqarg(subject).tqreplace("Answer: ","") );
+      msg->setSubject( i18n( "Accepted: %1" ).tqarg(subject).replace("Answer: ","") );
     else if ( status == TQString("delegated") )
-      msg->setSubject( i18n( "Delegated: %1" ).tqarg(subject).tqreplace("Answer: ","") );
+      msg->setSubject( i18n( "Delegated: %1" ).tqarg(subject).replace("Answer: ","") );
   }
   msg->setTo( to );
   msg->setFrom( receiver() );
@@ -227,7 +227,7 @@ TQString Callback::receiver() const
 
     // select default identity by default
     const TQString defaultAddr = kmkernel->identityManager()->defaultIdentity().primaryEmailAddress();
-    const int defaultIndex = TQMAX( 0, addrs.tqfindIndex( defaultAddr ) );
+    const int defaultIndex = TQMAX( 0, addrs.findIndex( defaultAddr ) );
 
     mReceiver =
       KInputDialog::getItem( i18n( "Select Address" ),
diff --git a/kmail/chiasmuskeyselector.cpp b/kmail/chiasmuskeyselector.cpp
index 9fde31bb9..d88c3164b 100644
--- a/kmail/chiasmuskeyselector.cpp
+++ b/kmail/chiasmuskeyselector.cpp
@@ -21,7 +21,7 @@ ChiasmusKeySelector::ChiasmusKeySelector( TQWidget* tqparent, const TQString& ca
 
   mListBox = new KListBox( page );
   mListBox->insertStringList( keys );
-  const int current = keys.tqfindIndex( currentKey );
+  const int current = keys.findIndex( currentKey );
   mListBox->setSelected( TQMAX( 0, current ), true );
   mListBox->ensureCurrentVisible();
   tqlayout->addWidget( mListBox, 1 );
diff --git a/kmail/configuredialog.cpp b/kmail/configuredialog.cpp
index e1fa08985..c0d775cf2 100644
--- a/kmail/configuredialog.cpp
+++ b/kmail/configuredialog.cpp
@@ -480,7 +480,7 @@ void IdentityPage::slotRenameIdentity( TQListViewItem * i,
 
   TQString newName = s.stripWhiteSpace();
   if ( !newName.isEmpty() &&
-       !kmkernel->identityManager()->shadowIdentities().tqcontains( newName ) ) {
+       !kmkernel->identityManager()->shadowIdentities().contains( newName ) ) {
     KPIM::Identity & ident = item->identity();
     ident.setIdentityName( newName );
     emit changed(true);
@@ -739,7 +739,7 @@ static inline TQString uniqueName( const TQStringList & list,
 {
   int suffix = 1;
   TQString result = name;
-  while ( list.tqfind( result ) != list.end() ) {
+  while ( list.find( result ) != list.end() ) {
     result = i18n("%1: name; %2: number appended to it to make it unique "
                   "among a list of names", "%1 %2")
       .tqarg( name ).tqarg( suffix );
@@ -2057,7 +2057,7 @@ AppearancePageHeadersTab::AppearancePageHeadersTab( TQWidget * tqparent, const c
 
   for ( int i = 0 ; i < numDateDisplayConfig ; i++ ) {
     TQString buttonLabel = i18n(dateDisplayConfig[i].displayName);
-    if ( buttonLabel.tqcontains("%1") )
+    if ( buttonLabel.contains("%1") )
       buttonLabel = buttonLabel.tqarg( DateFormatter::formatCurrentDate( dateDisplayConfig[i].dateDisplay ) );
     radio = new TQRadioButton( buttonLabel, mDateDisplay );
     mDateDisplay->insert( radio, i );
@@ -2367,7 +2367,7 @@ void AppearancePage::ReaderTab::readCurrentFallbackCodec()
   TQStringList::ConstIterator it( encodings.begin() );
   TQStringList::ConstIterator end( encodings.end() );
   TQString currentEncoding = GlobalSettings::self()->fallbackCharacterEncoding();
-  currentEncoding = currentEncoding.tqreplace( "iso ", "iso-", false );
+  currentEncoding = currentEncoding.replace( "iso ", "iso-", false );
   ///kdDebug(5006) << "Looking for encoding: " << currentEncoding << endl;
   int i = 0;
   int indexOfLatin9 = 0;
@@ -3203,7 +3203,7 @@ ComposerPageSubjectTab::ComposerPageSubjectTab( TQWidget * tqparent, const char
   connect( mReplyListEditor, TQT_SIGNAL( changed( void ) ),
            this, TQT_SLOT( slotEmitChanged( void ) ) );
 
-  // row 2: "tqreplace [...]" check box:
+  // row 2: "replace [...]" check box:
   mReplaceReplyPrefixCheck = new TQCheckBox(
      GlobalSettings::self()->replaceReplyPrefixItem()->label(),
      group, "kcfg_ReplaceReplyPrefix" );
@@ -3231,7 +3231,7 @@ ComposerPageSubjectTab::ComposerPageSubjectTab( TQWidget * tqparent, const char
   connect( mForwardListEditor, TQT_SIGNAL( changed( void ) ),
            this, TQT_SLOT( slotEmitChanged( void ) ) );
 
-  // row 3: "tqreplace [...]" check box:
+  // row 3: "replace [...]" check box:
   mReplaceForwardPrefixCheck = new TQCheckBox(
        GlobalSettings::self()->replaceForwardPrefixItem()->label(),
        group, "kcfg_ReplaceForwardPrefix" );
@@ -3855,7 +3855,7 @@ SecurityPageGeneralTab::SecurityPageGeneralTab( TQWidget * tqparent, const char
   mMDNGroup->insert( radio );
 
   for ( int i = 0 ; i < mMDNGroup->count() ; ++i )
-      TQWhatsThis::add( mMDNGroup->tqfind( i ), receiptWhatsThis );
+      TQWhatsThis::add( mMDNGroup->find( i ), receiptWhatsThis );
 
   w = new TQWidget( hbox ); // spacer
   hbox->setStretchFactor( w, 1 );
@@ -5051,7 +5051,7 @@ void MiscPage::GroupwareTab::doLoadFromGlobalSettings() {
   KMAccount* selectedAccount = 0;
   int accountId = GlobalSettings::self()->theIMAPResourceAccount();
   if ( accountId )
-    selectedAccount = kmkernel->acctMgr()->tqfind( accountId );
+    selectedAccount = kmkernel->acctMgr()->find( accountId );
   else {
     // Fallback: iterate over accounts to select folderId if found (as an inbox folder)
       for( KMAccount *a = kmkernel->acctMgr()->first(); a!=0;
diff --git a/kmail/configuredialog_p.cpp b/kmail/configuredialog_p.cpp
index a6705c76b..7a8820236 100644
--- a/kmail/configuredialog_p.cpp
+++ b/kmail/configuredialog_p.cpp
@@ -222,7 +222,7 @@ NewLanguageDialog::NewLanguageDialog( LanguageItemList & suppressedLangs,
     // we extract it from the path: "/prefix/de/entry.desktop" -> "de"
     TQString acronym = (*it).section( '/', -2, -2 );
 
-    if ( suppressedAcronyms.tqfind( acronym ) == suppressedAcronyms.end() ) {
+    if ( suppressedAcronyms.find( acronym ) == suppressedAcronyms.end() ) {
       // not found:
       TQString displayname = TQString::tqfromLatin1("%1 (%2)")
 	.tqarg( name ).tqarg( acronym );
@@ -239,7 +239,7 @@ NewLanguageDialog::NewLanguageDialog( LanguageItemList & suppressedLangs,
 TQString NewLanguageDialog::language() const
 {
   TQString s = mComboBox->currentText();
-  int i = s.tqfindRev( '(' );
+  int i = s.findRev( '(' );
   return s.mid( i + 1, s.length() - i - 2 );
 }
 
@@ -257,13 +257,13 @@ int LanguageComboBox::insertLanguage( const TQString & language )
   TQString name = entry.readEntry( "Name" );
   TQString output = TQString::tqfromLatin1("%1 (%2)").tqarg( name ).tqarg( language );
   insertItem( TQPixmap( locate("locale", language + flagPng ) ), output );
-  return listBox()->index( listBox()->tqfindItem(output) );
+  return listBox()->index( listBox()->findItem(output) );
 }
 
 TQString LanguageComboBox::language() const
 {
   TQString s = currentText();
-  int i = s.tqfindRev( '(' );
+  int i = s.findRev( '(' );
   return s.mid( i + 1, s.length() - i - 2 );
 }
 
@@ -272,7 +272,7 @@ void LanguageComboBox::setLanguage( const TQString & language )
   TQString parenthizedLanguage = TQString::tqfromLatin1("(%1)").tqarg( language );
   for (int i = 0; i < count(); i++)
     // ### FIXME: use .endWith():
-    if ( text(i).tqfind( parenthizedLanguage ) >= 0 ) {
+    if ( text(i).find( parenthizedLanguage ) >= 0 ) {
       setCurrentItem(i);
       return;
     }
diff --git a/kmail/encodingdetector.cpp b/kmail/encodingdetector.cpp
index cc19e3b1e..06537981b 100644
--- a/kmail/encodingdetector.cpp
+++ b/kmail/encodingdetector.cpp
@@ -51,7 +51,7 @@
 // Multiple scripts per language were removed and the entries were reordered so
 // that simple substring matching will work. For example, bam was put before ba
 // so that the first match will be likely the right match. Otherwise "ba" would
-// match "bam" but we would have to search on to tqfind "bam" which is what we want.
+// match "bam" but we would have to search on to find "bam" which is what we want.
 // The original file is called pango-script-lang-table.h
 
 /* pango-script-lang-table.h:
@@ -824,7 +824,7 @@ EncodingDetector::EncodingChoiceSource EncodingDetector::encodingChoiceSource()
 const char* EncodingDetector::encoding() const
 {
     d->m_storeDecoderName = d->m_codec->name();
-    d->m_storeDecoderName = d->m_storeDecoderName.lower().tqreplace( "iso ", "iso-" );
+    d->m_storeDecoderName = d->m_storeDecoderName.lower().replace( "iso ", "iso-" );
     return d->m_storeDecoderName.data();
 }
 
@@ -1059,13 +1059,13 @@ bool EncodingDetector::analyze(const char *data, int len)
                 TQCString str( ptr, (end-ptr)+1);
                 str = str.lower();
                 int pos=0;
-                        //if( (pos = str.tqfind("http-equiv", pos)) == -1) break;
-                        //if( (pos = str.tqfind("content-type", pos)) == -1) break;
-                if( (pos = str.tqfind("charset")) == -1)
+                        //if( (pos = str.find("http-equiv", pos)) == -1) break;
+                        //if( (pos = str.find("content-type", pos)) == -1) break;
+                if( (pos = str.find("charset")) == -1)
                     continue;
                 pos+=6;
                 // skip to '='
-                if( (pos = str.tqfind('=', pos)) == -1)
+                if( (pos = str.find('=', pos)) == -1)
                     continue;
 
                 // skip whitespace before encoding itself
diff --git a/kmail/favoritefolderview.cpp b/kmail/favoritefolderview.cpp
index 5c5cfa66f..9de9271ef 100644
--- a/kmail/favoritefolderview.cpp
+++ b/kmail/favoritefolderview.cpp
@@ -74,7 +74,7 @@ FavoriteFolderViewItem::FavoriteFolderViewItem(FavoriteFolderView * tqparent, co
 void FavoriteFolderViewItem::nameChanged()
 {
   TQString txt = text( 0 );
-  txt.tqreplace( mOldName, folder()->label() );
+  txt.replace( mOldName, folder()->label() );
   setText( 0, txt );
   mOldName = folder()->label();
 }
@@ -309,7 +309,7 @@ void FavoriteFolderView::dropped(TQDropEvent * e, TQListViewItem * after)
       KMFolderTreeItem *fti = static_cast<KMFolderTreeItem*>( it.current() );
       if ( !fti->folder() )
         continue;
-      if( !mFolderToItem.tqcontains( fti->folder() ) )
+      if( !mFolderToItem.contains( fti->folder() ) )
          afterItem = addFolder( fti->folder(), prettyName( fti ), afterItem );
     }
     e->accept();
@@ -369,7 +369,7 @@ void FavoriteFolderView::initializeFavorites()
   assert( ft );
   for ( TQListViewItemIterator it( ft ); it.current(); ++it ) {
     KMFolderTreeItem *fti = static_cast<KMFolderTreeItem*>( it.current() );
-    if ( fti->type() == KFolderTreeItem::Inbox && fti->folder() && !seenInboxes.tqcontains( fti->folder()->id() ) ) {
+    if ( fti->type() == KFolderTreeItem::Inbox && fti->folder() && !seenInboxes.contains( fti->folder()->id() ) ) {
       seenInboxes.append( fti->folder()->id() );
       if ( fti->folder() == kmkernel->inboxFolder() && hideLocalInbox() )
         continue;
@@ -457,7 +457,7 @@ void FavoriteFolderView::addFolder()
   KMFolder *folder = dlg.folder();
   if ( !folder )
     return;
-  if ( mFolderToItem.tqcontains( folder ) )
+  if ( mFolderToItem.contains( folder ) )
     return;
 
   KMFolderTreeItem *fti = findFolderTreeItem( folder );
@@ -468,7 +468,7 @@ void KMail::FavoriteFolderView::addFolder(KMFolderTreeItem * fti)
 {
   if ( !fti || !fti->folder() )
     return;
-  if ( !mFolderToItem.tqcontains( fti->folder()  ) )
+  if ( !mFolderToItem.contains( fti->folder()  ) )
     addFolder( fti->folder(), prettyName( fti ) );
 }
 
diff --git a/kmail/folderIface.cpp b/kmail/folderIface.cpp
index 4d1cb8089..bcd4201f7 100644
--- a/kmail/folderIface.cpp
+++ b/kmail/folderIface.cpp
@@ -136,7 +136,7 @@ FolderIface::messageRefs()
     for( int i = 0; i < messageCache.size(); ++i ) {
       KMMsgBase *msg = messageCache[i];
       if ( msg ) {
-        KMMessage *fmsg = msg->tqparent()->getMsg( msg->tqparent()->tqfind( msg ) );
+        KMMessage *fmsg = msg->tqparent()->getMsg( msg->tqparent()->find( msg ) );
         refList.append( DCOPRef( new MessageIface( fmsg ) ) );
       }
     }
diff --git a/kmail/folderdiaacltab.cpp b/kmail/folderdiaacltab.cpp
index 5237787ea..3b64254c5 100644
--- a/kmail/folderdiaacltab.cpp
+++ b/kmail/folderdiaacltab.cpp
@@ -139,7 +139,7 @@ static TQString addresseeToUserId( const KABC::Addressee& addr, IMAPUserIdFormat
   if ( userIdFormat == FullEmail )
     return email;
   else { // mUserIdFormat == UserName
-    email.truncate( email.tqfind( '@' ) );
+    email.truncate( email.find( '@' ) );
     return email;
   }
 }
@@ -259,7 +259,7 @@ void KMail::FolderDiaACLTab::ListViewItem::load( const ACLListEntry& entry )
   // since it uses space as a separator (imap4.cc, look for GETACL)
   // It's ok in distribution list names though, that's why this check is only done here
   // and also why there's no validator on the lineedit.
-  if ( entry.userId.tqcontains( ' ' ) )
+  if ( entry.userId.contains( ' ' ) )
     kdWarning(5006) << "Userid contains a space!!!  '" << entry.userId << "'" << endl;
 
   setUserId( entry.userId );
@@ -412,7 +412,7 @@ void KMail::FolderDiaACLTab::load()
   // but the default value is determined from the current user's own id.
   TQString defaultFormat = "fullemail";
   // warning mImapAccount can be 0 if creating a subsubsubfolder with dimap...  (bug?)
-  if ( mImapAccount && mImapAccount->login().tqfind('@') == -1 )
+  if ( mImapAccount && mImapAccount->login().find('@') == -1 )
     defaultFormat = "username"; // no @ found, so we assume it's just the username
   KConfigGroup configGroup( kmkernel->config(), "IMAP" );
   TQString str = configGroup.readEntry( "UserIdFormat", defaultFormat );
@@ -699,7 +699,7 @@ bool KMail::FolderDiaACLTab::save()
     TQString uid = (*init).userId;
     for( ACLList::ConstIterator it = aclList.begin(); it != aclList.end() && !isInNewList; ++it )
       isInNewList = uid == (*it).userId;
-    if ( !isInNewList && !mRemovedACLs.tqcontains(uid) )
+    if ( !isInNewList && !mRemovedACLs.contains(uid) )
       mRemovedACLs.append( uid );
   }
 
diff --git a/kmail/folderjob.h b/kmail/folderjob.h
index 3d662e76d..52778bb68 100644
--- a/kmail/folderjob.h
+++ b/kmail/folderjob.h
@@ -128,7 +128,7 @@ signals:
 
   /**
    * Emitted when a list of messages has been
-   * copied to the specified location. TQPtrList tqcontains
+   * copied to the specified location. TQPtrList contains
    * the list of the copied messages.
    */
   void messageCopied( TQPtrList<KMMessage> );
diff --git a/kmail/foldersetselector.cpp b/kmail/foldersetselector.cpp
index 45748b2f6..8ae2618ec 100644
--- a/kmail/foldersetselector.cpp
+++ b/kmail/foldersetselector.cpp
@@ -76,7 +76,7 @@ void FolderSetSelector::setSelectedFolders(const TQValueList< int > & folderIds)
   while ( it.current() ) {
     SimpleFolderTreeItem<TQCheckListItem> *item = dynamic_cast<SimpleFolderTreeItem<TQCheckListItem>*>( it.current() );
     if ( item && item->folder() ) {
-      if ( folderIds.tqcontains( item->folder()->id() ) )
+      if ( folderIds.contains( item->folder()->id() ) )
         item->setOn( true );
       else
         item->setOn( false );
diff --git a/kmail/folderstorage.cpp b/kmail/folderstorage.cpp
index 469f03f11..25fc6c0f0 100644
--- a/kmail/folderstorage.cpp
+++ b/kmail/folderstorage.cpp
@@ -113,7 +113,7 @@ void FolderStorage::close( const char* owner, bool aForced )
 TQString FolderStorage::dotEscape(const TQString& aStr)
 {
   if (aStr[0] != '.') return aStr;
-  return aStr.left(aStr.tqfind(TQRegExp("[^\\.]"))) + aStr;
+  return aStr.left(aStr.find(TQRegExp("[^\\.]"))) + aStr;
 }
 
 void FolderStorage::addJob( FolderJob* job ) const
@@ -350,8 +350,8 @@ void FolderStorage::reallyAddCopyOfMsg(KMMessage* aMsg)
   unGetMsg( count() - 1 );
 }
 
-int FolderStorage::tqfind( const KMMessage * msg ) const {
-  return tqfind( &msg->toMsgBase() );
+int FolderStorage::find( const KMMessage * msg ) const {
+  return find( &msg->toMsgBase() );
 }
 
 //-----------------------------------------------------------------------------
@@ -359,7 +359,7 @@ void FolderStorage::removeMsg(const TQPtrList<KMMsgBase>& msgList, bool imapQuie
 {
   for( TQPtrListIterator<KMMsgBase> it( msgList ); *it; ++it )
   {
-    int idx = tqfind(it.current());
+    int idx = find(it.current());
     assert( idx != -1);
     removeMsg(idx, imapQuiet);
   }
@@ -370,7 +370,7 @@ void FolderStorage::removeMsg(const TQPtrList<KMMessage>& msgList, bool imapQuie
 {
   for( TQPtrListIterator<KMMessage> it( msgList ); *it; ++it )
   {
-    int idx = tqfind(it.current());
+    int idx = find(it.current());
     assert( idx != -1);
     removeMsg(idx, imapQuiet);
   }
@@ -465,7 +465,7 @@ void FolderStorage::take(TQPtrList<KMMessage> msgList)
   {
     if (msg->tqparent())
     {
-      int idx = msg->tqparent()->tqfind(msg);
+      int idx = msg->tqparent()->find(msg);
       if ( idx >= 0 )
         take(idx);
     }
@@ -725,11 +725,11 @@ int FolderStorage::rename(const TQString& newName, KMFolderDir *newParent)
     // if the folder is being moved then move its node and, if necessary, also
     // the associated subfolder directory node to the new tqparent
     if (newParent) {
-      if (oldParent->tqfindRef( folder() ) != -1)
+      if (oldParent->findRef( folder() ) != -1)
         oldParent->take();
       newParent->inSort( folder() );
       if ( child ) {
-        if ( child->tqparent()->tqfindRef( child ) != -1 )
+        if ( child->tqparent()->findRef( child ) != -1 )
           child->tqparent()->take();
         newParent->inSort( child );
         child->setParent( newParent );
@@ -898,7 +898,7 @@ void FolderStorage::msgStatusChanged(const KMMsgtqStatus oldtqStatus,
 void FolderStorage::headerOfMsgChanged(const KMMsgBase* aMsg, int idx)
 {
   if (idx < 0)
-    idx = aMsg->tqparent()->tqfind( aMsg );
+    idx = aMsg->tqparent()->find( aMsg );
 
   if (idx >= 0 )
   {
@@ -1025,7 +1025,7 @@ int FolderStorage::appendToFolderIdsFile( int idx )
 void FolderStorage::replaceMsgSerNum( unsigned long sernum, KMMsgBase* msg, int idx )
 {
   if ( !mExportsSernums ) return;
-  KMMsgDict::mutableInstance()->tqreplace( sernum, msg, idx );
+  KMMsgDict::mutableInstance()->replace( sernum, msg, idx );
 }
 
 void FolderStorage::setRDict( KMMsgDictREntry *rentry ) const
diff --git a/kmail/folderstorage.h b/kmail/folderstorage.h
index 9ff0b67f0..45a402820 100644
--- a/kmail/folderstorage.h
+++ b/kmail/folderstorage.h
@@ -229,8 +229,8 @@ public:
   virtual int moveMsg(TQPtrList<KMMessage>, int* index_return = 0);
 
   /** Returns the index of the given message or -1 if not found. */
-  virtual int tqfind(const KMMsgBase* msg) const = 0;
-  int tqfind( const KMMessage * msg ) const;
+  virtual int find(const KMMsgBase* msg) const = 0;
+  int find( const KMMessage * msg ) const;
 
   /** Number of messages in this folder. */
   virtual int count(bool cache = false) const;
